::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: Copyright (C) 1989-2011 OSS Nokalva, Inc.  All rights reserved.            :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.                     :
: AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.              :
: THIS FILE MAY NOT BE DISTRIBUTED.                                          :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

@echo off
setlocal EnableDelayedExpansion

set OSS_ASN1_JAVA=D:\OSS\asn1pjav\win32\3.1.0

call "%OSS_ASN1_JAVA%\ossvars.bat"
call "%OSS_ASN1_JAVA%\samples\common.bat"

cd /D "%~dp0"
if %1. == . goto build
if %1. == build. goto build
if %1. == clean. goto clean
echo Unsupported command: "%1".
echo Supported commands: "build" (default), "clean".
exit /b 1

:build

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: ASN.1 - compile the input .asn files to generate Java files                :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo ASN.1-compiling the specification...
echo.
%ASN1% %COMMON_ASN1_OPTIONS% bcd.asn -relaxedMode
if errorlevel 1 (
    echo Error ASN.1-compiling.
    exit /b 1
)
echo ASN.1-compilation successful.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: Java - compile generated and user .java files to produce .class files      :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo.
echo Java-compiling the generated code...
echo.
set CLASSPATH=%CD%;%CLASSPATH%
move MyBCD.java bcd > nul
pushd bcd
call bcd.bat %JAVAC% %JFLAGS%
if errorlevel 1 (
    echo Error Java-compiling generated files.
    exit /b 1
)
popd

%JAVAC% %JFLAGS% Tbcd.java
if errorlevel 1 (
    echo Error Java-compiling Tbcd.java.
    exit /b 1
)
echo Java-compilation successful.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: Execute the compiled code                                                  :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo.
echo Running JVM for the generated code...
echo.
%JAVA% %COMMON_JAVA_OPTIONS% Tbcd > ..\bcd\tbcd1.out
if errorlevel 1 (
    echo Error reported by JVM or a test program.
    exit /b 1
)
echo Program finished successfully.

echo.
echo Build done.
	move bcd\MyBCD.java . > nul	
exit /b 0

:clean

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
: Clean (remove all generated files)                                         :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo Removing all generated files...
echo.
rmdir /q /s bcd 2>nul
	move bcd\MyBCD.java . > nul	
del MyBCD*.class 2>nul
del Tbcd*.class 2>nul
del ..\bcd\tbcd1.out 2>nul
echo Cleanup done.

exit /b 0
