@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav bcd -err bcd.log
if errorlevel 1 (
    echo Error ASN.1-compiling.
    exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
move MyBCD.java bcd > nul
cd bcd
echo Java-compiling generated classes...
echo.
call bcd.bat %JAVAC% -g >>..\bcd.log
cd ..

%JAVAC% -g *.java >>bcd.log
if not exist Tbcd.class (
    echo Error Java-compiling.
	echo Tbcd.class not found.
    exit /b 1
)

echo Running the test...
echo.

java Tbcd
if exist bcd (
	move bcd\MyBCD.java . > nul	
	rmdir /s /q bcd
    exit /b 0
)

:cleanup
if exist bcd 	rmdir /s /q bcd
if exist bcd.log del bcd.log
if exist *.class del *.class
