#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f bcd.log
	rm -f *.class
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
        echo ""
	asn1pjav bcd -err bcd.log
	if [ $? -eq 0 ]; then 
	    mv MyBCD.java bcd
            cd bcd
	    echo "Java-compiling generated classes..."
            echo ""
	    sh bcd.sh 2>&1 >> ../bcd.log
	    cd ..
	    ${JAVAC} Tbcd.java 2>&1 >> bcd.log
	    if [ -f Tbcd.class ]; then
		echo "Running the test..."
                echo ""
		${JAVA} Tbcd;
	    fi
	fi
        mv -f bcd/MyBCD.java .
	rm -fr bcd
	break;;

    *)
	echo "Invalid argument \"$1\"."
        echo ""
	;;
    
esac
